package org.coderu.factory.junit;

import org.coderu.adapters.junit.CoderuAssert;
import org.coderu.adapters.junit.CoderuAssertAdapter;
import org.coderu.core.api.WrongDependencyExplorer;
import org.coderu.core.factory.WrongDependencyExplorerFactory;

public final class CoderuAssertFactory { // NO_UCD

    public static CoderuAssertAdapter create(){ // NO_UCD
        final WrongDependencyExplorer dependencyExplorer = WrongDependencyExplorerFactory.create();
        final CoderuAssert coderuAssert = new CoderuAssert(dependencyExplorer);
        return new CoderuAssertAdapter(coderuAssert);
    }

    private CoderuAssertFactory() {
    }
}
